// swift-tools-version: 5.8
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
  name: "DeferClient",
  platforms: [.macOS(.v12)],
  dependencies: [
    .package(url: "https://github.com/apollographql/apollo-ios", branch: "preview/defer"),
    .package(url: "https://github.com/apollographql/apollo-ios-codegen", branch: "preview/defer"),
    .package(name: "GraphAPI", path: "GraphAPI"),
  ],
  targets: [
    // Targets are the basic building blocks of a package, defining a module or a test suite.
    // Targets can depend on other targets in this package and products from dependencies.
    .executableTarget(
      name: "DeferClient",
      dependencies: [
        .product(name: "Apollo", package: "apollo-ios"),
        .product(name: "ApolloCodegenLib", package: "apollo-ios-codegen"),
        .product(name: "GraphAPI", package: "GraphAPI"),
      ]
    ),
  ]
)
